%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
%	Configuration file for spectrum_ESR.m
% 
%%%%%%%%%%%%%%%% Source %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

result_path='/EISCAT02/sugi/spectrum/data/980921lp_acf/';

%%%%%%%%%%%%%%%% Time scales %%%%%%%%%%%% (Comment for auto-scale) %%%%

plot_start=[1998 09 21 00 00 00];	% [YYYY MM DD hh mm ss]
plot_end=  [1998 09 21 24 00 00];	% [YYYY MM DD hh mm ss]

%%%%%%%%%%%%%%%% Plot options %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

site='ESR';	% Serect radar site ('ESR' only).
pulse='LP';	% ('AC'/'LP') for 'ESR' site
MIN_alt=00;	% Input Min. height [km] you wish to plot.
MAX_alt=1000;	% Input Max. height [km] you wish to plot.
channel=0 ;     % Serect channel ('ESR' only).
                % If you want to use an average on all channels, serect 0.
                % Else gup0 (lp), serect 1 or 2 or  ... or 8,
                %      gup3 (lp), serect 1 or 2,
                %      gup3 (ac), serect 3 or 4.
line_alt='1';	% ('0'/'1')
		%     '0': with altitudes
		%     '1': with ranges
put_alt=110;	% ('MIN_alt'<'put_alt'<'MAX_alt')
		%     If you select line_alt='0', 
		%     decide the standard altitudes put in order.
disp_alt='2';	% ('0'/'1'/'2') output altitudes 
		%     '0': no 
		%     '1': only at bottom and top panels
		%     '2': at all panels
disp_data='0';	% ('0'/'1'/'2') output spectra 
		%     '0': both signal and fitted data
		%     '1': only signal data
		%     '2': only fitted data
disp_q='1';	% ('0'/'1'/'2') output qualities 
		%     '0': no 
		%     '1': only bad qualities
		%     '2': all qualities
disp_sys='1';	% ('0'/'1') output Tsys and TxPw  
		%     '0': no 
		%     '1': yes 
disp_beam='1';	% ('0'/'1') output beam angles 
		%     '0': no 
		%     '1': yes 
disp_file='1';	% ('0'/'1') output acf_file 
		%     '0': no 
		%     '1': yes 
disp_path='1';	% ('0'/'1') output result_path
		%     '0': no 
		%     '1': yes 
disp_date='1';	% ('0'/'1') output the date 
		%     '0': no 
		%     '1': yes 
disp_page='1';	% ('0'/'1') output the page 
		%     '0': no 
		%     '1': yes 
PS_file='2';	% ('0'/'1'/'2'/'3'/'4'/'5') PS files
		%     '0': no 
		%     '1': one PS file with many pages
		%     '2': one PS file with many pages (non display)
		%     '3': many PS files with one page
		%     '4': many PS files with one page (non display)
 		%     '5': one PS file with channel number (non display)

%%%%%%%%%%%%%%%% Other options %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

title='ESR (CP-2-L) LP'; 
comment='Max number of iteration = 10';
scale=0.1;   	% power scale ( x *** ).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
