%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%	Configuration file for spectrum_KST.m
%
%%%%%%%%%%%%%%%% Source %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

result_path='/EISCAT02/sugi/spectrum/data/930125tr_acf/';

%%%%%%%%%%%%%%%% Time scales %%%%%%%%%%%% (Comment for auto-scale) %%%%

plot_start=[1993 01 25 00 00 00];	% [YYYY MM DD hh mm ss]
plot_end=  [1993 01 25 24 00 00];	% [YYYY MM DD hh mm ss]

%%%%%%%%%%%%%%%% Plot options %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

site='UHF';	% ('UHF'/'VHF')
pulse='AC';	% ('AC'/'LP')
MIN_alt=80;	% Input lowest height [km] you wish to plot.
MAX_alt=150;	% Input highest height [km] you wish to plot.
line_alt='1';	% ('0'/'1')
		%     '0': with altitudes
		%     '1': with ranges
put_alt=100;	% ('MIN_alt'<'put_alt'<'MAX_alt')
		% If you select line_alt='0', 
		% decide the standard altitude put in order.
disp_alt='2';	% ('0'/'1'/'2') output altitudes 
		%     '0': no 
		%     '1': only at bottom and top panels
		%     '2': at all panels
disp_data='0';	% ('0'/'1'/'2') output spectra 
		%     '0': both signal and fitted data
		%     '1': only signal data
		%     '2': only fitted data
disp_q='1';	% ('0'/'1'/'2') output qualities 
		%     '0': no 
		%     '1': only bad qualities
		%     '2': all qualities
disp_sys='1';	% ('0'/'1') output Tsys and TxPw  
		%     '0': no 
		%     '1': yes 
disp_beam='1';	% ('0'/'1') output beam angles 
		%     '0': no 
		%     '1': yes 
disp_file='1';	% ('0'/'1') output acf_file 
		%     '0': no 
		%     '1': yes 
disp_path='1';	% ('0'/'1') output result_path
		%     '0': no 
		%     '1': yes 
disp_date='1';	% ('0'/'1') output dates 
		%     '0': no 
		%     '1': yes 
disp_page='1';	% ('0'/'1') output pages 
		%     '0': no 
		%     '1': yes 
PS_file='2';	% ('0'/'1'/'2') PS files
		%     '0': no 
		%     '1': one PS file with many pages
		%     '2': one PS file with many pages (non display)
		%     '3': many PS files with one page
		%     '4': many PS files with one page (non display)

%%%%%%%%%%%%%%%% Other options %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

title='CP-1-J (Tromsoe) 5min integration'; 
comment='Fixed col.fre. above 100km, Te/Ti below 100km';
scale=10;   	% power scale ( x *** ).

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
